[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TColumnTitle.GetDefaultCaption

Gets the default caption used as the title for the grid column.

## Declaration

Source position: dbgrids.pas line 247

`protected function TColumnTitle.GetDefaultCaption: string; override;`

## Function result

Default value used as the title for the column.

## Description

GetDefaultCaption is an overridden String function in TColumnTitle which provides the default caption used as the title for a grid column.

If a Field has been created for the column, the value of its DisplayName property is used as the caption. If only the FieldName property is set, it is used as the caption. Otherwise, the inherited method is called to get the default caption for the column.

## See also

TColumn |  | Implements a display column for the TDBGrid control.
TField
TGridColumnTitle.GetDefaultCaption |  | Returns the default caption for the column title.